﻿
@model EnergyMission.Domain.Entities.PersonEntity
@*<script src="~/Scripts/jquery-2.2.2.min.js"></script>*@


<div class="second-menu">
    <h3>New Person</h3>
    @*<ul class="org-inner-menu">
            <li><a href="#">Contact Site Manager</a></li>
            <li><a href="#">Help</a></li>
            <li><a href="#">Report Error</a></li>
            <li><a href="#">Report Error</a></li>
        </ul>*@
</div>

<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">



        @using (Html.BeginForm("NewPerson", "ClientTeamMembers", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
                @Html.AntiForgeryToken()
    <div class="ensure2" id="errormsg"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->

                <div class="bottom">
                    @*@Html.LabelFor(tt => tt.CVUrl, new { @id = "cvs" })*@
                    @*<input class="cvs" type="text" name="name" value="" placeholder="id,last,first,emailadress.cvs" />*@
                    <div class="clearfix"></div>
                    @*<span class="heading">Manual Input</span>*@
                    <div class="clearfix"></div>
                    <div class="left">
                        <label class="name">First name <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
                        <div style="position:relative;">
                            @Html.TextBoxFor(model => model.FirstName)
                            <div class="error-msg">
                                <span class="error"> @Html.ValidationMessageFor(tt => tt.FirstName) </span>
                            </div>
                        </div>

                    </div>


                    <div class="right">
                        <label class="name">Last name <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
                        <div style="position:relative;">

                            @Html.TextBoxFor(model => model.LastName)
                            <div class="error-msg">
                                <span class="error">@Html.ValidationMessageFor(tt => tt.LastName) </span>
                            </div>
                        </div>
                        @*<input class="red" type="text" name="name" value="" placeholder="Wayne" />*@
                    </div>

                    <div class="left">
                        <label class="name">Email address <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
                        <div style="position:relative;">
                            @Html.TextBoxFor(model => model.EmailAddress)
                            <div class="error-msg">
                                <span class="error">@Html.ValidationMessageFor(tt => tt.EmailAddress) </span>
                            </div>
                        </div>
                    </div>

                    <div class="right">
                        <label class="name">Employment ID</label>
                        <div style="position:relative;">
                            @Html.TextBoxFor(model => model.EmployeeID)
                            <div class="error-msg">
                                <span class="error">@Html.ValidationMessageFor(tt => tt.EmployeeID) </span>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="left">
                        <label class="name">Password <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
                        <div style="position:relative;">
                            @Html.PasswordFor(model => model.Password)
                            <div class="error-msg">
                                <span class="error">@Html.ValidationMessageFor(tt => tt.Password) </span>
                            </div>
                        </div>
                        @*<input type="text" name="name" value="" placeholder="bruce.wayne@wayneenterprise.com" />*@
                    </div>


                    <div class="right">
                        <label class="name">Confirm Password</label>
                        <div style="position:relative;">
                            @Html.PasswordFor(model => model.PasswordConfirm)
                            <div class="error-msg">
                                <span class="error">@Html.ValidationMessageFor(tt => tt.PasswordConfirm) </span>
                            </div>
                        </div>
                        <div class="clearfix"></div>


                    </div>
                    <div class="clearfix"></div>
                    <div class="left">
                        <input class="save button" name="button" id="btnsave" type="submit" value="Save Changes" />
                        <input class="done button" name="button" type="button" onclick="cancelall();" id="btncancel" value="Cancel" />
                    </div>

                 

                   

                </div>



            }

        </div>
    </div>

</div>
@section Scripts {
    @*<script src="~/Scripts/jquery-2.2.2.min.js"></script>*@

    <script>

        $(document).ready(function () {


            $("#Password").val('');

            $("#EmailAddress").val('');


            $("#PasswordConfirm").val('');

            var value = "@ViewBag.msg";


            if (value == "") {
                $("#errormsg").hide();



            }
            else {
                $("#errormsg").show();

            }
        });
        function cancelall() {


            $("#Name").val('');

            $("#Password").val('');

            $("#EmailAddress").val('');


            $("#PasswordConfirm").val('');
            return false;
        }
    </script>

}












